groovy.grape

## Class GrabAnnotationTransformation

- java.lang.Object
- - org.codehaus.groovy.ast.CodeVisitorSupport
  - - org.codehaus.groovy.ast.ClassCodeVisitorSupport
    - - groovy.grape.GrabAnnotationTransformation

All Implemented Interfaces:
  CompilationUnitAware, GroovyClassVisitor, GroovyCodeVisitor, ASTTransformation

    public class GrabAnnotationTransformation
    extends ClassCodeVisitorSupport
    implements ASTTransformation, CompilationUnitAware

Transformation for declarative dependency management.

### Constructor Summary

Constructors
Constructor and Description
`GrabAnnotationTransformation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SourceUnit` `getSourceUnit()`
`void` `setCompilationUnit(CompilationUnit compilationUnit)`
`void` `visit(ASTNode[] nodes, SourceUnit source)` The method is invoked when an AST Transformation is active.
`void` `visitAnnotations(AnnotatedNode node)` Adds the annotation to the internal target list if a match is found.

### Methods inherited from class org.codehaus.groovy.ast.ClassCodeVisitorSupport

`addError, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`

### Methods inherited from class org.codehaus.groovy.ast.CodeVisitorSupport

`visitArgumentlistExpression, visitArrayExpression, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBooleanExpression, visitBytecodeExpression, visitCastExpression, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitEmptyStatement, visitFieldExpression, visitGStringExpression, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitTernaryExpression, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GrabAnnotationTransformation

    public GrabAnnotationTransformation()

### Method Detail

#### getSourceUnit

    public SourceUnit getSourceUnit()

Specified by:
  `getSourceUnit` in class `ClassCodeVisitorSupport`

#### setCompilationUnit

    public void setCompilationUnit(CompilationUnit compilationUnit)

Specified by:
  `setCompilationUnit` in interface `CompilationUnitAware`

#### visit

    public void visit(ASTNode[] nodes,
                      SourceUnit source)

Description copied from interface: `ASTTransformation`
The method is invoked when an AST Transformation is active. For local transformations, it is invoked once each time the local annotation is encountered. For global transformations, it is invoked once for every source unit, which is typically a source file.

Specified by:
  `visit` in interface `ASTTransformation`
Parameters:
  `nodes` - The ASTnodes when the call was triggered. Element 0 is the AnnotationNode that triggered this annotation to be activated. Element 1 is the AnnotatedNode decorated, such as a MethodNode or ClassNode. For global transformations it is usually safe to ignore this parameter.
  `source` - The source unit being compiled. The source unit may contain several classes. For global transformations, information about the AST can be retrieved from this object.

#### visitAnnotations

    public void visitAnnotations(AnnotatedNode node)

Adds the annotation to the internal target list if a match is found.

Overrides:
  `visitAnnotations` in class `ClassCodeVisitorSupport`
Parameters:
  `node` - the AST node we are processing